Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/cKkdoZPOWvPrNTpdZAMwDR8Ckq2.jpg",
"created_by": [
{
"credit_id": "5f8026230284200039088bcf",
"gender": 2,
"id": 157839,
"name": "Morgan Gendel",
"original_name": "Morgan Gendel",
"profile_path": null
},
{
"credit_id": "5f80261a175051003990a225",
"gender": 1,
"id": 1237907,
"name": "Marsha Griffin",
"original_name": "Marsha Griffin",
"profile_path": null
},
{
"credit_id": "5f8026271065d30033cea2a2",
"gender": 2,
"id": 1382000,
"name": "Brian Michael Bendis",
"original_name": "Brian Michael Bendis",
"profile_path": "/zYcyWooAjXFJCU7GVyzvHDqpPP0.jpg"
}
],
"episode_run_time": [
21
],
"first_air_date": "2003-07-11",
"genres": [
{
"id": 16,
"name": "Animation"
},
{
"id": 10759,
"name": "Action & Adventure"
},
{
"id": 10765,
"name": "Sci-Fi & Fantasy"
}
],
"homepage": "",
"id": 1664,
"in_production": false,
"languages": [
"en"
],
"last_air_date": "2003-09-12",
"last_episode_to_air": {
"air_date": "2003-09-12",
"episode_number": 13,
"episode_type": "finale",
"id": 1177019,
"name": "Mind Games (Part 2)",
"overview": "Spider-Man realizes he has been brainwashed.",
"production_code": "",
"runtime": 21,
"season_number": 1,
"show_id": 1664,
"still_path": "/cV42CVLXGbFRhCRf0KvaOqAewWe.jpg",
"vote_average": 7.8,
"vote_count": 6
},
"name": "Spider-Man: The New Animated Series",
"networks": [
{
"id": 33,
"logo_path": "/w4qtv7xBkSVsbOQdSzjUjlyOuSr.png",
"name": "MTV",
"origin_country": "US"
}
],
"next_episode_to_air": null,
"number_of_episodes": 13,
"number_of_seasons": 1,
"origin_country": [
"CA",
"US"
],
"original_language": "en",
"original_name": "Spider-Man: The New Animated Series",
"overview": "Bitten by an irradiated spider, teenager Peter Parker gains arachnid-like powers that make him both a hero to those in need and a vigilante wanted by the police.",
"popularity": 36.539,
"poster_path": "/v3UfqXCAxAcI7oUO4zwtk1T9G3n.jpg",
"production_companies": [
{
"id": 23548,
"logo_path": null,
"name": "Adelaide Productions",
"origin_country": "US"
},
{
"id": 5024,
"logo_path": "/9CkYR0swSEj5iVi9bzx9erLnmzm.png",
"name": "Mainframe Entertainment",
"origin_country": "CA"
},
{
"id": 19551,
"logo_path": "/2WpWp9b108hizjHKdA107hFmvQ5.png",
"name": "Marvel Enterprises",
"origin_country": "US"
}
],
"production_countries": [
{
"iso_3166_1": "CA",
"name": "Canada"
},
{
"iso_3166_1": "US",
"name": "United States of America"
}
],
"seasons": [
{
"air_date": "2003-07-11",
"episode_count": 13,
"id": 75494,
"name": "Season 1",
"overview": "",
"poster_path": "/zwuh16Pxx36uNvyYY4gaCjnzJ53.jpg",
"season_number": 1,
"vote_average": 6.7
}
],
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "Canceled",
"tagline": "Get ready to go vertical",
"type": "Scripted",
"vote_average": 7.1,
"vote_count": 351
}This endpoint retrieves the details of a TV show.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Details
false
"/cKkdoZPOWvPrNTpdZAMwDR8Ckq2.jpg"
Show child attributes
[
{
"credit_id": "5f8026230284200039088bcf",
"gender": 2,
"id": 157839,
"name": "Morgan Gendel",
"original_name": "Morgan Gendel",
"profile_path": null
},
{
"credit_id": "5f80261a175051003990a225",
"gender": 1,
"id": 1237907,
"name": "Marsha Griffin",
"original_name": "Marsha Griffin",
"profile_path": null
},
{
"credit_id": "5f8026271065d30033cea2a2",
"gender": 2,
"id": 1382000,
"name": "Brian Michael Bendis",
"original_name": "Brian Michael Bendis",
"profile_path": "/zYcyWooAjXFJCU7GVyzvHDqpPP0.jpg"
}
]
[21]
"2003-07-11"
Show child attributes
[
{ "id": 16, "name": "Animation" },
{ "id": 10759, "name": "Action & Adventure" },
{ "id": 10765, "name": "Sci-Fi & Fantasy" }
]
""
1664
false
["en"]
"2003-09-12"
Show child attributes
"Spider-Man: The New Animated Series"
Show child attributes
[
{
"id": 33,
"logo_path": "/w4qtv7xBkSVsbOQdSzjUjlyOuSr.png",
"name": "MTV",
"origin_country": "US"
}
]
13
1
["CA", "US"]
"en"
"Spider-Man: The New Animated Series"
"Bitten by an irradiated spider, teenager Peter Parker gains arachnid-like powers that make him both a hero to those in need and a vigilante wanted by the police."
36.539
"/v3UfqXCAxAcI7oUO4zwtk1T9G3n.jpg"
Show child attributes
[
{
"id": 23548,
"logo_path": null,
"name": "Adelaide Productions",
"origin_country": "US"
},
{
"id": 5024,
"logo_path": "/9CkYR0swSEj5iVi9bzx9erLnmzm.png",
"name": "Mainframe Entertainment",
"origin_country": "CA"
},
{
"id": 19551,
"logo_path": "/2WpWp9b108hizjHKdA107hFmvQ5.png",
"name": "Marvel Enterprises",
"origin_country": "US"
}
]
Show child attributes
[
{ "iso_3166_1": "CA", "name": "Canada" },
{
"iso_3166_1": "US",
"name": "United States of America"
}
]
Show child attributes
[
{
"air_date": "2003-07-11",
"episode_count": 13,
"id": 75494,
"name": "Season 1",
"overview": "",
"poster_path": "/zwuh16Pxx36uNvyYY4gaCjnzJ53.jpg",
"season_number": 1,
"vote_average": 6.7
}
]
Show child attributes
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
]
"Canceled"
"Get ready to go vertical"
"Scripted"
7.1
351